Seamonkey compatibility

Any feedback, suggestion, bug reports, problems....
Post Reply
Elwood
Posts: 2
Joined: Tue Feb 06, 2018 9:39 pm

Seamonkey compatibility

Post by Elwood » Tue Feb 06, 2018 9:43 pm

Any plans to restore Seamonkey compatibility?

Advertisements

 

User avatar
DaveG
Flagfox Developer
Posts: 717
Joined: Wed Oct 03, 2007 9:06 pm
Location: Philadelphia, USA

Re: Seamonkey compatibility

Post by DaveG » Wed Feb 07, 2018 7:23 am

Current SeaMonkey is based on Gecko/Firefox 52 ESR, which I am incapable of supporting due to missing WebExtension APIs. There was also some severe WebExtension brokenness in SeaMonkey, in addition to missing APIs, last time I checked (Flagfox 5.2.x explicitly disables WebExt storage support under SeaMonkey due to bugs there). Once SeaMonkey is based on Gecko/Firefox 57 or later I will look into making whatever changes are needed to support it (unless my minimum requirement goes up in the interim, in which case I'll need a SeaMonkey version supporting whatever that becomes).

I'm considering uploading a Flagfox 5.2.4 update to provide a little bit of extended support for Firefox 52 ESR & SeaMonkey, but I haven't worked out the best way to do this just yet. I'll post to the Flagfox blog if/when I do this (https://flagfox.wordpress.com).

Elwood
Posts: 2
Joined: Tue Feb 06, 2018 9:39 pm

Re: Seamonkey compatibility

Post by Elwood » Fri Feb 09, 2018 7:56 am

Thank you, that would be great.

User avatar
DaveG
Flagfox Developer
Posts: 717
Joined: Wed Oct 03, 2007 9:06 pm
Location: Philadelphia, USA

Re: Seamonkey compatibility

Post by DaveG » Thu Mar 01, 2018 6:28 am

I just released a Flagfox 5.2.4 update along with the 6.0.2 update:
https://flagfox.wordpress.com/2018/02/2 ... y-updates/

Post Reply